Source: yi
Version: 0.12.5-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

yi fails to build from source in unstable/amd64:

  [..]

  Setting up libghc-statevar-dev (1.1.0.4-1) ...
  Setting up libghc-executable-path-prof (0.0.3-7) ...
  Setting up libfreetype6-dev (2.6.3-3+b1) ...
  Setting up libice-dev:amd64 (2:1.0.9-1+b1) ...
  Setting up libghc-word-trie-prof (0.3.0-4) ...
  Setting up libghc-blaze-builder-dev (0.4.0.2-1) ...
  Setting up libghc-reflection-prof (2.1.2-1) ...
  Setting up libghc-exceptions-dev (0.8.3-1) ...
  Setting up libghc-transformers-base-dev (0.4.4-4+b1) ...
  Setting up libghc-primitive-prof (0.6.1.0-2) ...
  Setting up libghc-unordered-containers-dev (0.2.7.1-1) ...
  Setting up libghc-charsetdetect-ae-prof (1.1.0.1-1) ...
  Setting up libghc-parallel-prof (3.2.1.0-1) ...
  Setting up libghc-glib-dev (0.13.2.2-2+b1) ...
  Setting up libxcomposite1:amd64 (1:0.4.4-1) ...
  Setting up libxcb-shm0:amd64 (1.11.1-1.1) ...
  Setting up libghc-stm-prof (2.4.4.1-1) ...
  Setting up libxrender1:amd64 (1:0.9.9-2) ...
  Setting up libghc-regex-base-dev (0.93.2-8) ...
  Setting up libxcb1-dev:amd64 (1.11.1-1.1) ...
  Setting up libghc-vector-dev (0.11.0.0-5) ...
  Setting up libavahi-client3:amd64 (0.6.32-1) ...
  Setting up libghc-vector-prof (0.11.0.0-5) ...
  Setting up libx11-dev:amd64 (2:1.6.3-1) ...
  Setting up libxft2:amd64 (2.3.2-1) ...
  Setting up libghc-text-icu-prof (0.7.0.1-4+b3) ...
  Setting up libghc-vty-dev (5.5.0-1+b4) ...
  Setting up libharfbuzz-dev:amd64 (1.2.7-1+b1) ...
  Setting up libghc-io-storage-prof (0.3-9) ...
  Setting up libghc-regex-tdfa-dev (1.2.2-1) ...
  Setting up fontconfig (2.11.0-6.5) ...
  Regenerating fonts cache... done.
  Setting up libghc-data-default-instances-old-locale-prof (0.0.1-5) ...
  Setting up libcups2:amd64 (2.1.4-4) ...
  Setting up libfontconfig1-dev:amd64 (2.11.0-6.5) ...
  Setting up libghc-mtl-prof (2.2.1-3) ...
  Setting up libghc-data-default-instances-dlist-prof (0.0.1-5) ...
  Setting up libsm-dev:amd64 (2:1.2.2-1+b1) ...
  Setting up libghc-glib-prof (0.13.2.2-2+b1) ...
  Setting up libghc-blaze-builder-prof (0.4.0.2-1) ...
  Setting up libghc-dynamic-state-dev (0.2.2.0-1+b2) ...
  Setting up libghc-yi-rope-dev (0.7.0.1-3+b2) ...
  Setting up libghc-unordered-containers-prof (0.2.7.1-1) ...
  Setting up libxext6:amd64 (2:1.3.3-1) ...
  Setting up libghc-distributive-prof (0.5.0.2-1) ...
  Setting up libxfixes3:amd64 (1:5.0.2-1) ...
  Setting up libghc-safe-prof (0.3.9-3) ...
  Setting up libghc-dyre-dev (0.8.12-1) ...
  Setting up libghc-transformers-base-prof (0.4.4-4+b1) ...
  Setting up x11proto-fixes-dev (1:5.0-2) ...
  Setting up libgdk-pixbuf2.0-0:amd64 (2.34.0-1) ...
  Setting up libghc-semigroups-dev (0.18.1-1+b2) ...
  Setting up libxcb-shm0-dev:amd64 (1.11.1-1.1) ...
  Setting up libghc-statevar-prof (1.1.0.4-1) ...
  Setting up libghc-hint-dev (0.5.2-1+b2) ...
  Setting up gir1.2-gdkpixbuf-2.0:amd64 (2.34.0-1) ...
  Setting up libxrender-dev:amd64 (1:0.9.9-2) ...
  Setting up libxcb-render0-dev:amd64 (1.11.1-1.1) ...
  Setting up libghc-dynamic-state-prof (0.2.2.0-1+b2) ...
  Setting up libghc-data-default-prof (0.5.3-5+b1) ...
  Setting up x11proto-damage-dev (1:1.2.1-2) ...
  Setting up libxft-dev (2.3.2-1) ...
  Setting up gtk-update-icon-cache (3.20.7-1) ...
  Setting up libgdk-pixbuf2.0-dev (2.34.0-1) ...
  Setting up libxcursor1:amd64 (1:1.1.14-1+b1) ...
  Setting up libghc-microlens-mtl-prof (0.1.9.0-1+b1) ...
  Setting up libghc-gio-dev (0.13.1.1-2+b1) ...
  Setting up libxext-dev:amd64 (2:1.3.3-1) ...
  Setting up libpango-1.0-0:amd64 (1.40.1-1) ...
  Setting up libghc-dyre-prof (0.8.12-1) ...
  Setting up libghc-exceptions-prof (0.8.3-1) ...
  Setting up libghc-regex-base-prof (0.93.2-8) ...
  Setting up libxfixes-dev:amd64 (1:5.0.2-1) ...
  Setting up libghc-void-dev (0.7.1-1+b4) ...
  Setting up libghc-parsec3-prof (3.1.11-1) ...
  Setting up x11proto-composite-dev (1:0.4.2-2) ...
  Setting up libxrandr2:amd64 (2:1.5.0-1) ...
  Setting up libxi6:amd64 (2:1.7.6-1) ...
  Setting up libghc-semigroups-prof (0.18.1-1+b2) ...
  Setting up libghc-gio-prof (0.13.1.1-2+b1) ...
  Setting up libcairo2:amd64 (1.14.6-1+b1) ...
  Setting up libghc-void-prof (0.7.1-1+b4) ...
  Setting up libxinerama1:amd64 (2:1.1.3-1+b1) ...
  Setting up libxcursor-dev:amd64 (1:1.1.14-1+b1) ...
  Setting up libxdamage1:amd64 (1:1.1.4-2+b1) ...
  Setting up libxrandr-dev:amd64 (2:1.5.0-1) ...
  Setting up libxcomposite-dev (1:0.4.4-1) ...
  Setting up libcairo-script-interpreter2:amd64 (1.14.6-1+b1) ...
  Setting up libghc-contravariant-dev (1.4-1+b2) ...
  Setting up libcairo-gobject2:amd64 (1.14.6-1+b1) ...
  Setting up libxdamage-dev:amd64 (1:1.1.4-2+b1) ...
  Setting up libghc-yi-rope-prof (0.7.0.1-3+b2) ...
  Setting up libghc-contravariant-prof (1.4-1+b2) ...
  Setting up libpangoft2-1.0-0:amd64 (1.40.1-1) ...
  Setting up libghc-hint-prof (0.5.2-1+b2) ...
  Setting up libghc-regex-tdfa-prof (1.2.2-1) ...
  Setting up libghc-comonad-dev (4.2.7.2-3+b4) ...
  Setting up libxinerama-dev:amd64 (2:1.1.3-1+b1) ...
  Setting up libghc-vty-prof (5.5.0-1+b4) ...
  Setting up libxi-dev (2:1.7.6-1) ...
  Setting up libghc-comonad-prof (4.2.7.2-3+b4) ...
  Setting up libghc-bifunctors-dev (5.2-1+b2) ...
  Setting up libcairo2-dev (1.14.6-1+b1) ...
  Setting up libghc-profunctors-dev (5.2-1+b2) ...
  Setting up gir1.2-freedesktop:amd64 (1.48.0-3) ...
  Setting up libpangoxft-1.0-0:amd64 (1.40.1-1) ...
  Setting up libpangocairo-1.0-0:amd64 (1.40.1-1) ...
  Setting up gir1.2-pango-1.0:amd64 (1.40.1-1) ...
  Setting up libghc-bifunctors-prof (5.2-1+b2) ...
  Setting up libghc-cairo-dev (0.13.1.1-1+b1) ...
  Setting up libghc-profunctors-prof (5.2-1+b2) ...
  Setting up libpango1.0-dev (1.40.1-1) ...
  Setting up libghc-pango-dev (0.13.1.1-2+b1) ...
  Setting up libghc-semigroupoids-dev (5.0.1-1+b3) ...
  Setting up libghc-semigroupoids-prof (5.0.1-1+b3) ...
  Setting up librsvg2-2:amd64 (2.40.16-1) ...
  Setting up libghc-free-dev (4.12.4-1+b3) ...
  Setting up librsvg2-common:amd64 (2.40.16-1) ...
  Setting up libghc-cairo-prof (0.13.1.1-1+b1) ...
  Setting up libghc-adjunctions-dev (4.3-2+b2) ...
  Setting up libghc-free-prof (4.12.4-1+b3) ...
  Setting up libghc-pango-prof (0.13.1.1-2+b1) ...
  Setting up gnome-icon-theme (3.12.0-2) ...
  update-alternatives: using 
/usr/share/icons/gnome/scalable/places/debian-swirl.svg to provide 
/usr/share/icons/gnome/scalable/places/start-here.svg (start-here.svg) in auto 
mode
  Setting up libghc-kan-extensions-dev (4.2.3-1+b5) ...
  Setting up libghc-lens-dev (4.13-1+b5) ...
  Setting up libgtk2.0-0:amd64 (2.24.30-4) ...
  Setting up libghc-adjunctions-prof (4.3-2+b2) ...
  Setting up libghc-yi-language-dev (0.2.0-1+b6) ...
  Setting up libghc-kan-extensions-prof (4.2.3-1+b5) ...
  Setting up gir1.2-gtk-2.0 (2.24.30-4) ...
  Setting up libghc-lens-prof (4.13-1+b5) ...
  Setting up libgtk2.0-dev (2.24.30-4) ...
  Setting up libghc-gtk-dev (0.14.2-2+b1) ...
  Setting up libghc-yi-language-prof (0.2.0-1+b6) ...
  Setting up libghc-gtk-prof (0.14.2-2+b1) ...
  Setting up yi-build-deps (0.12.5-1) ...
  Processing triggers for libc-bin (2.23-4) ...
  Processing triggers for systemd (231-1) ...
  Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.34.0-1) ...
  
  
**************************************************************************************
  ** Environment                                                                
      **
  
**************************************************************************************
  
  
PATH=/home/lamby/git/projects/dotfiles/dotfiles/..//bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  HOSTNAME=41633930d4ec
  TERM=xterm
  PAGER=more
  DISPLAY=:0
  DOCKER_IMAGE=lamby-debian-sid
  DEB_BUILD_OPTIONS=parallel=9
  PIP_DOWNLOAD_CACHE=/home/lamby/.cache/pip
  HOME=/home/lamby
  LOGNAME=lamby
  SHLVL=1
  PWD=/home/lamby/temp/cdt.20160812163411.6OiWWL2lzE.db.yi/yi-0.12.5
  OLDPWD=/home/lamby/temp/cdt.20160812163411.6OiWWL2lzE.db.yi
  GPG_TTY=/dev/console
  QUILT_PATCHES=debian/patches
  QUILT_NO_DIFF_INDEX=1
  QUILT_REFRESH_ARGS=-p ab --no-timestamps --no-index
  DEBEMAIL=la...@debian.org
  DEBFULLNAME=Chris Lamb
  EDITOR=vim
  LESS=-cgiFx4M
  GPG_KEY=1E953E27D4311E58
  BLASTER=A220 I5 D1 H5 P330 T6
  _=/usr/bin/env
  
  
**************************************************************************************
  ** Building yi 0.12.5-1 on amd64                                              
      **
  
**************************************************************************************
  
   dpkg-buildpackage -rfakeroot -D -us -uc -b
  dpkg-buildpackage: info: source package yi
  dpkg-buildpackage: info: source version 0.12.5-1
  dpkg-buildpackage: info: source distribution unstable
  dpkg-buildpackage: info: source changed by Joachim Breitner 
<nome...@debian.org>
   dpkg-source --before-build yi-0.12.5
  dpkg-buildpackage: info: host architecture amd64
   fakeroot debian/rules clean
  dh_listpackages: -s/--same-arch is deprecated; please use -a/--arch instead
  test -x debian/rules
  dh_clean 
  . /usr/share/haskell-devscripts/Dh_Haskell.sh && \
  clean_recipe
  Running rm -rf dist dist-ghc dist-ghcjs dist-hugs debian/hlibrary.setup 
Setup.hi Setup.ho Setup.o .\*config\*
  Running rm -f configure-ghc-stamp configure-ghcjs-stamp build-ghc-stamp 
build-ghcjs-stamp build-hugs-stamp build-haddock-stamp
  Running rm -rf debian/tmp-inst-ghc debian/tmp-inst-ghcjs
  Running rm -f debian/extra-depends-ghc debian/extra-depends-ghcjs
  Running rm -f debian/libghc-yi-doc.links debian/libghcjs-yi-doc.links
  Running rm -f debian/hlibrary.Makefile
  Running rm -rf debian/dh_haskell_shlibdeps
   debian/rules build
  dh_listpackages: -s/--same-arch is deprecated; please use -a/--arch instead
  test -x debian/rules
  mkdir -p "."
  CDBS WARNING:    DEB_COMPRESS_EXCLUDE is deprecated since 0.4.85
  . /usr/share/haskell-devscripts/Dh_Haskell.sh && \
  make_setup_recipe
  Running ghc --make Setup.hs -o debian/hlibrary.setup
  [1 of 1] Compiling Main             ( Setup.hs, Setup.o )
  Linking debian/hlibrary.setup ...
  . /usr/share/haskell-devscripts/Dh_Haskell.sh && \
  configure_recipe
  Running debian/hlibrary.setup configure --ghc -v2 
--package-db=/var/lib/ghc/package.conf.d --prefix=/usr 
--libdir=/usr/lib/haskell-packages/ghc/lib --libexecdir=/usr/lib 
--builddir=dist-ghc --ghc-option=-optl-Wl\,-z\,relro 
--haddockdir=/usr/lib/ghc-doc/haddock/yi-0.12.5/ --datasubdir=yi 
--htmldir=/usr/share/doc/libghc-yi-doc/html/ --enable-library-profiling -fpango 
-f-testing --datasubdir=yi --ghc-options=-optl\ -z\ -optl\ relro
  Configuring yi-0.12.5...
  Flags chosen: hint=True, testing=False, eventlog=False, profiling=False,
  vty=True, pango=True
  Dependency Cabal >=1.10: using Cabal-1.22.8.0
  Dependency array -any: using array-0.5.1.0
  Dependency base ==4.*: using base-4.8.2.0
  Dependency binary >=0.7: using binary-0.7.5.0
  Dependency bytestring >=0.9.1 && <0.11: using bytestring-0.10.6.0
  Dependency containers -any: using containers-0.5.6.2
  Dependency data-default -any: using data-default-0.5.3
  Dependency directory -any: using directory-1.2.2.0
  Dependency dlist >=0.4.1: using dlist-0.7.1.2
  Dependency dynamic-state >=0.1.0.5: using dynamic-state-0.2.2.0
  Dependency dyre >=0.8.11: using dyre-0.8.12
  Dependency exceptions -any: using exceptions-0.8.3
  Dependency filepath >=1.1: using filepath-1.4.0.0
  Dependency glib ==0.13.*: using glib-0.13.2.2
  Dependency gtk >=0.13 && <0.15: using gtk-0.14.2
  Dependency hashable >=1.1.2.5: using hashable-1.2.4.0
  Dependency hint >0.3.1: using hint-0.5.2
  Dependency lens >=4.7: using lens-4.13
  Dependency mtl >=0.1.0.1: using mtl-2.2.1
  Dependency old-locale -any: using old-locale-1.0.0.7
  Dependency oo-prototypes -any: using oo-prototypes-0.1.0.0
  Dependency pango ==0.13.*: using pango-0.13.1.1
  Dependency parsec >=3.0: using parsec-3.1.11
  Dependency pointedlist >=0.5: using pointedlist-0.6.1
  Dependency process >=1.0.1.1: using process-1.2.3.0
  Dependency safe >=0.3.4 && <0.4: using safe-0.3.9
  Dependency semigroups -any: using semigroups-0.18.1
  Dependency split >=0.1 && <0.3: using split-0.2.3.1
  Dependency stm >=2.2: using stm-2.4.4.1
  Dependency template-haskell >=2.4: using template-haskell-2.10.0.0
  Dependency text >=1.1.1.3: using text-1.2.2.1
  Dependency text-icu >=0.7: using text-icu-0.7.0.1
  Dependency time >=1.1: using time-1.5.0.1
  Dependency transformers-base -any: using transformers-base-0.4.4
  Dependency unix -any: using unix-2.7.1.0
  Dependency unix-compat >=0.1 && <0.5: using unix-compat-0.4.1.4
  Dependency unordered-containers >=0.1.3 && <0.3: using
  unordered-containers-0.2.7.1
  Dependency vty >=5.4: using vty-5.5.0
  Dependency word-trie >=0.2.0.4: using word-trie-0.3.0
  Dependency xdg-basedir >=0.2.1 && <0.3: using xdg-basedir-0.2.2
  Dependency yi -any: using yi-0.12.5
  Dependency yi-language >=0.1.1.0: using yi-language-0.2.0
  Dependency yi-rope >=0.7.0.0 && <0.8: using yi-rope-0.7.0.1
  Using Cabal-1.22.8.0 compiled by ghc-7.10
  Using compiler: ghc-7.10.3
  Using install prefix: /usr
  Binaries installed in: /usr/bin
  Libraries installed in:
  
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-7.10.3/yi-0.12.5-D7yURZyXb4GEgdItiwpt9f
  Private binaries installed in: /usr/lib
  Data files installed in: /usr/share/yi
  Documentation installed in: /usr/share/doc/x86_64-linux-ghc-7.10.3/yi-0.12.5
  Configuration files installed in: /usr/etc
  Using alex version 3.1.7 found on system at: /usr/bin/alex
  Using ar found on system at: /usr/bin/ar
  No c2hs found
  No cpphs found
  Using gcc version 6.1.1 found on system at: /usr/bin/gcc
  Using ghc version 7.10.3 found on system at: /usr/bin/ghc
  Using ghc-pkg version 7.10.3 found on system at: /usr/bin/ghc-pkg
  No ghcjs found
  No ghcjs-pkg found
  No greencard found
  Using haddock version 2.16.1 found on system at: /usr/bin/haddock
  No happy found
  Using haskell-suite found on system at: haskell-suite-dummy-location
  Using haskell-suite-pkg found on system at: haskell-suite-pkg-dummy-location
  No hmake found
  Using hpc version 0.67 found on system at: /usr/bin/hpc
  Using hsc2hs version 0.67 found on system at: /usr/bin/hsc2hs
  Using hscolour version 1.24 found on system at: /usr/bin/HsColour
  No jhc found
  Using ld found on system at: /usr/bin/ld
  No lhc found
  No lhc-pkg found
  Using pkg-config version 0.29 found on system at: /usr/bin/pkg-config
  Using strip version 2.27 found on system at: /usr/bin/strip
  Using tar found on system at: /bin/tar
  No uhc found
  touch configure-ghc-stamp
  . /usr/share/haskell-devscripts/Dh_Haskell.sh && \
  build_recipe
  Running debian/hlibrary.setup build --builddir=dist-ghc
  Building yi-0.12.5...
  Preprocessing library yi-0.12.5...
  [  1 of 149] Compiling Yi.Char.Unicode  ( src/library/Yi/Char/Unicode.hs, 
dist-ghc/build/Yi/Char/Unicode.o )
  <command line>: can't load .so/.DLL for: 
/usr/lib/haskell-packages/ghc/lib/x86_64-linux-ghc-7.10.3/yi-rope-0.7.0.1-HiTY8p3VPT60NpepXpO5r3/libHSyi-rope-0.7.0.1-HiTY8p3VPT60NpepXpO5r3-ghc7.10.3.so
 (libicuuc.so.55: cannot open shared object file: No such file or directory)
  /usr/share/cdbs/1/class/hlibrary.mk:147: recipe for target 'build-ghc-stamp' 
failed
  make: *** [build-ghc-stamp] Error 1

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: yi.0.12.5-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to